package main

import (
	"testing"
)

func TestFind1(t *testing.T) {
	hotels := make([]*Hotel, 0)
	err := engine.
		//Table(new(Hotel)).
		Alias("t").
		//Where("t.region like '6501%'").
		Limit(10, 0).
		Find(&hotels)
	if err != nil {
		t.Error("engine.Alias().Find()  执行失败", err)
	} else {
		t.Logf("engine.Alias().Find() 执行结果，Slice Size %d \n", len(hotels))
	}
}

func TestFind2(t *testing.T) {
	hotels := make([]*Hotel, 0)
	err := engine.
		Table(new(Hotel)).
		Alias("t").
		//Where("t.region like '6501%'").
		Limit(10, 0).
		Find(&hotels)
	if err != nil {
		t.Error("engine.Table().Alias().Find() 执行失败", err)
	} else {
		t.Logf("engine.Table().Alias().Find() 执行结果，Slice Size %d \n", len(hotels))
	}
}

func TestFind3(t *testing.T) {
	hotels := make([]*Hotel, 0)
	err := engine.
		Table(new(Hotel)).
		Alias("t").
		Where("t.region like '6501%'").
		Limit(10, 0).
		Find(&hotels)
	if err != nil {
		t.Error("engine.Table().Alias().Where().Find() 执行失败", err)
	} else {
		t.Logf("engine.Table().Alias().Where().Find() 执行结果，Slice Size %d \n", len(hotels))
	}
}
